Subject: Re: Switching from CVS to GIT

From: Brian Dessent <[email-masked]>
Date: Mon, 15 Oct 2007 11:37:27 -0700

Alex Riesen wrote:

> He misunderstood. It is not what you meant. You cannot remove the open
> file. What he talks about is removing the file after it is _closed_.
> Junk.

I did not misunderstand.  The semantics are equivalent to the POSIX
case: you end up with a handle to an open file that is exclusive to that
process (it cannot be opened by any other process, even root) and that
is automatically reclaimed by the filesystem when all open handles are
closed, without any explicit action by the user.  It's not "unlinking an
open file", no, but it's the same result.

Brian